beatra

List the caller's tasks

Returns TaskSummary by default. Use `?expand=output,usage,billing,callback,input` or `?expand=all` to return full TaskEnvelope items.

GET
/v1/tasks

Query Parameters

statusStatus
capabilityCapability
created_afterCreated After
created_beforeCreated Before
limitLimit
Default: 20Minimum: 1Maximum: 100
cursorCursor
orderOrder
Default: "desc"Value in: "asc" | "desc"
expandExpand

Comma-separated fields to include: output,usage,billing,callback,input,all

Header Parameters

Authorization
Required
string

Bearer API key.

X-Request-Idstring

Optional client request id echoed in the response.

curl -X GET "https://example.com/v1/tasks?status=string&capability=string&created_after=2019-08-24T14%3A15%3A22Z&created_before=2019-08-24T14%3A15%3A22Z&limit=20&cursor=string&order=asc&expand=string" \
  -H "Authorization: string" \
  -H "X-Request-Id: string"

Successful Response

{
  "object": "list",
  "data": [
    {}
  ],
  "next_cursor": "string",
  "has_more": false
}